Namespace EsriPBuffer.Graph

The EsriPBuffer.Graph namespace contains message types for graph operations, including schema changes, entities, relationships, and query results.

Classes

AddConstraintRulesRequestReflection

Holder for reflection information generated from esriPBuffer/graph/AddConstraintRulesRequest.proto

AddConstraintRulesResponseReflection

Holder for reflection information generated from esriPBuffer/graph/AddConstraintRulesResponse.proto

AddDomainRequestReflection

Holder for reflection information generated from esriPBuffer/graph/AddDomainRequest.proto

AddDomainResponseReflection

Holder for reflection information generated from esriPBuffer/graph/AddDomainResponse.proto

AddFieldsRequestReflection

Holder for reflection information generated from esriPBuffer/graph/AddFieldsRequest.proto

AddFieldsResponseReflection

Holder for reflection information generated from esriPBuffer/graph/AddFieldsResponse.proto

AddIndexesRequestReflection

Holder for reflection information generated from esriPBuffer/graph/AddIndexesRequest.proto

AddIndexesResponseReflection

Holder for reflection information generated from esriPBuffer/graph/AddIndexesResponse.proto

AddNamedTypesRequestReflection

Holder for reflection information generated from esriPBuffer/graph/AddNamedTypesRequest.proto

AddNamedTypesResponseReflection

Holder for reflection information generated from esriPBuffer/graph/AddNamedTypesResponse.proto

Adds
AnyValue
AnyValueArray
ApplyEditsMetadata
ApplyEditsRequestReflection

Holder for reflection information generated from esriPBuffer/graph/ApplyEditsRequest.proto

ApplyEditsResponseReflection

Holder for reflection information generated from esriPBuffer/graph/ApplyEditsResponse.proto

ArrayValue
AsyncCancellationResponse
AsyncCancellationResponseReflection

Holder for reflection information generated from esriPBuffer/graph/AsyncCancellationResponse.proto

AsyncResultResponse
AsyncResultResponseReflection

Holder for reflection information generated from esriPBuffer/graph/AsyncResultResponse.proto

AsyncStatusResponse
AsyncStatusResponseReflection

Holder for reflection information generated from esriPBuffer/graph/AsyncStatusResponse.proto

BlobArray
BoolArray
CascadingProvenanceDeletes
CascadingRelationshipDeletes
ClientData
ClientDataDeleteError
ClientDataDeleteRequest

If there are duplicate entries in the request, reject the entire request and send an error response. If a Client Data with the given key is not present in the database, include an error in the response. Successfully deleted keys won't be included in the response. The response will only contain the keys with errors.

ClientDataDeletesResponse
ClientDataFetchRequest

The ClientDataFetchRequest is the message to be used in the body of fetch operations on the clientData resource.

High Level Errors

Duplicate keys in the request will be rejected by the server and results in a high-level error in the response body.

Individual Client Data Response Behavior

  • If the ClientDataKey is not present, an individual error for the specified key will be included in the response.
  • When v_tag is not set, the response includes both the current v_tag and value.
  • When v_tag is set in the request, but does not match the persisted v_tag, the response includes both v_tag and value.
  • When v_tag is set in the request and matches the persisted v_tag, the response includes the v_tag and the NotModified message.
ClientDataFetchRequestParameter
ClientDataFetchResponse
ClientDataFetchResult
ClientDataKey

ClientDataKey and ClientData represent the key and value of client persisted data. The key is associated with one and only one value. This associative relationship is referred to as a key-value pair.

The ClientDataVTag or version tag is a case-sensitive, opaque identifier assigned by the server to a specific version of the value associated with the ClientDataKey. The server does not need to send a full response if the ClientData associated with the ClientDataKey has not changed. The v_tag is included in the response for upsert and fetch client data operations.

The key must be non-empty and unique to every ClientData.

ClientDataKeys

Used as input for delete client data requests or in the response for getting all client data keys.

ClientDataKeysResponse
ClientDataKeysResponseReflection

Holder for reflection information generated from esriPBuffer/graph/ClientDataKeysResponse.proto

ClientDataTypesReflection

Holder for reflection information generated from esriPBuffer/graph/ClientDataTypes.proto

ClientDataUpsertRequest

If there are duplicate keys in the request, reject the entire request and send an error response. If a Client Data with the given key is not present in the database, add the value and return its v_tag. If a Client Data with the given key is present in the database, and a) If a v_tag in the request is not empty and doesn't match with the one in the database, reject the entire request and send an error response. b) Else update the value and return its new v_tag. If there are errors during upsert for some keys/values, other valid client data in the request still pass through and get stored successfully in the database (there is no global rollback).

ClientDataUpsertRequestParameter
ClientDataUpsertResponse
ClientDataUpsertResult
ClientDataVTag
ClientDataValue
ConstraintRule

When enabled, constraint rules are applied to entities or relationships during ApplyEdits.

ConstraintRuleMask
CreateReplicaRequest
CreateReplicaRequestReflection

Holder for reflection information generated from esriPBuffer/graph/CreateReplicaRequest.proto

CreateReplicaResponse
CreateReplicaResponseReflection

Holder for reflection information generated from esriPBuffer/graph/CreateReplicaResponse.proto

CreateReplicaResult
DataModelTypesReflection

Holder for reflection information generated from esriPBuffer/graph/DataModelTypes.proto

DataTransferStats

Statistics capturing the number of items involved in a data transfer. The semantics of the counts differ depending on whether the operation is an export or an import:

For export operations:

  • source_count: Total number of entities or relationships present in the Knowledge Graph service.
  • transferred_count: Number of entities or relationships successfully exported to the output format.

For import operations:

  • source_count: Total number of entities or relationships available in the source data (e.g., a .sd file).
  • transferred_count: Number of entities or relationships successfully imported into the Knowledge Graph service.
DataTransferTypesReflection

Holder for reflection information generated from esriPBuffer/graph/DataTransferTypes.proto

DatabaseNativeIdentifier

Durable, settable database native identifier. Not necessarily a defined Graph Property of [Entity|Relationship]Values

DateOnlyArray
DateOnlyComponents
DateOnlyValue
DateTimeArray
DateTimeComponents
DateTimeOffset

DateTimeOffset represents a civil time encoded as components of date, time & time offset. The date is relative to the proleptic Gregorian calendar.

DeleteAll

empty message

DeleteClientDataRequestReflection

Holder for reflection information generated from esriPBuffer/graph/DeleteClientDataRequest.proto

DeleteClientDataResponseReflection

Holder for reflection information generated from esriPBuffer/graph/DeleteClientDataResponse.proto

DeleteConstraintRulesRequestReflection

Holder for reflection information generated from esriPBuffer/graph/DeleteConstraintRulesRequest.proto

DeleteConstraintRulesResponseReflection

Holder for reflection information generated from esriPBuffer/graph/DeleteConstraintRulesResponse.proto

DeleteDomainResponseReflection

Holder for reflection information generated from esriPBuffer/graph/DeleteDomainResponse.proto

DeleteFieldRequestReflection

Holder for reflection information generated from esriPBuffer/graph/DeleteFieldRequest.proto

DeleteFieldResponseReflection

Holder for reflection information generated from esriPBuffer/graph/DeleteFieldResponse.proto

DeleteIndexesRequestReflection

Holder for reflection information generated from esriPBuffer/graph/DeleteIndexesRequest.proto

DeleteIndexesResponseReflection

Holder for reflection information generated from esriPBuffer/graph/DeleteIndexesResponse.proto

DeleteNamedTypeResponseReflection

Holder for reflection information generated from esriPBuffer/graph/DeleteNamedTypeResponse.proto

Deletes
DiscoverDataModelResponseReflection

Holder for reflection information generated from esriPBuffer/graph/DiscoverDataModelResponse.proto

DocumentOptions
DomainMask
DomainUpdateRequest
DoubleArray
DownloadParameters
DownloadResults
DurationArray
DurationComponents
DurationValue

A DurationValue represents a signed span of time. It is related to TimeOnlyValue, TimestampOffsetValue, DateOnlyValue & datetime_value in that the difference between 2 temporal instants is a DurationValue, and it can be added / subtracted from a temporal instant.

EditResults
EditorTrackingInfo
EditorTrackingSchema
EndPoint
EntityAdd
EntityAdds
EntityType
EntityTypeReplicaDefinition
EntityValue
Error
EsriGraphTypesReflection

Holder for reflection information generated from esriPBuffer/graph/EsriGraphTypes.proto

ExportRequest

A generic export request that defines the type of export operation to perform. This abstraction provides flexibility to support multiple export packaging formats and strategies as the system evolves.

Current behavior:

  • Supports ExportServiceDefinitionRequest, which packages the portal item info, Knowledge Graph service data model, and graph data into Esri’s standard Service Definition (.sd) file format.
ExportRequestReflection

Holder for reflection information generated from esriPBuffer/graph/ExportRequest.proto

ExportResponse
ExportResponseReflection

Holder for reflection information generated from esriPBuffer/graph/ExportResponse.proto

ExportServiceDefinitionRequest

Request parameters for exporting a Knowledge Graph service as a Service Definition (SD) portal item. This message is specific to the "export as service definition" format.

The exported Service Definition bundles together:

  • Portal item info
  • Service manifest xml
  • Service configuration json file
  • Knowledge Graph service data model
  • Graph data

This packaging enables publishing a new knowledge graph service using the existing publish operation in sharing API.

ExportServiceDefinitionRequestReflection

Holder for reflection information generated from esriPBuffer/graph/ExportServiceDefinitionRequest.proto

ExportServiceDefinitionResult
ExportServiceDefinitionResultReflection

Holder for reflection information generated from esriPBuffer/graph/ExportServiceDefinitionResult.proto

FetchClientDataRequestReflection

Holder for reflection information generated from esriPBuffer/graph/FetchClientDataRequest.proto

FetchClientDataResponseReflection

Holder for reflection information generated from esriPBuffer/graph/FetchClientDataResponse.proto

FilterTypesReflection

Holder for reflection information generated from esriPBuffer/graph/FilterTypes.proto

FloatArray

packed array types

ForceTrim
GeometryArray
GeometryValue
GeometryValue.Types

Container for nested types declared in the GeometryValue message type.

GeometryValue.Types.EsriDefaultGeometry
GraphApplyEditsFrame
GraphApplyEditsHeader
GraphApplyEditsResult
GraphConstraintRuleAddResult
GraphConstraintRuleAddsRequest
GraphConstraintRuleAddsResponse
GraphConstraintRuleDeleteRequest
GraphConstraintRuleDeleteResponse
GraphConstraintRuleDeleteResult
GraphConstraintRuleUpdate
GraphConstraintRuleUpdateResult
GraphConstraintRuleUpdatesRequest
GraphConstraintRuleUpdatesResponse
GraphDataModel
GraphDiscoverDataModelResponse
GraphDiscoverDataModelResult
GraphDomainAddRequest
GraphDomainAddResponse
GraphDomainDeleteResponse
GraphDomainUpdateResponse
GraphEntityTypeUpdate
GraphIndexDeleteResponse
GraphIndexDeleteResult
GraphNamedObjectTypeAddResult
GraphNamedObjectTypeAddsRequest
GraphNamedObjectTypeAddsResponse
GraphNamedObjectTypeDeleteResponse
GraphNamedObjectTypeUpdateRequest
GraphNamedObjectTypeUpdateResponse
GraphObjectIdentifierSet
GraphObjectIdentifierSetReflection

Holder for reflection information generated from esriPBuffer/graph/GraphObjectIdentifierSet.proto

GraphProperty
GraphPropertyAddResult
GraphPropertyAddsRequest
GraphPropertyAddsResponse
GraphPropertyDeleteRequest
GraphPropertyDeleteResponse
GraphPropertyIndexAddResult
GraphPropertyIndexAddsRequest
GraphPropertyIndexAddsResponse
GraphPropertyIndexDeleteRequest
GraphPropertyMask
GraphPropertyUpdateRequest
GraphPropertyUpdateResponse
GraphQueryRequest
GraphQueryResultFrame
GraphQueryResultHeader
GraphQueryRow
GraphRelationshipExclusionRuleUpdate
GraphRelationshipTypeUpdate
GraphSearchRequest
GraphUpdateSearchIndexRequest
GraphUpdateSearchIndexResponse
IdentifierGenerationInfo
IdentifierInfo
IdentifierMappingInfo
IncludeConnectedDocuments
IncludeProvenance
Int32Array
Int64Array
KeyValuePair

Order preserving KeyValuePair

NamedObjectAdd
NamedObjectType
NamedObjectTypeMask
NamedObjectUpdate
NamedObjectUpdates
NamedTypeReplicaDefinition
NativeDataModelTypesReflection

Holder for reflection information generated from esriPBuffer/graph/NativeDataModelTypes.proto

NativeDataTypeInfo
NativeEntityType
NativeFieldIndex
NativeGeometryInfo
NativeGraphProperty
NativeNamedType
NativeRelationshipType
NativeSearchIndex
NotModified

empty message

NullArray
ObjectValue
PathValue
PrimitiveValue
ProgressStatus
ProvenanceOptions
ProvenanceSourceTypeValues
QuantizationParameters
QuantizationParameters.Types

Container for nested types declared in the QuantizationParameters message type.

QueryDataModelResponseReflection

Holder for reflection information generated from esriPBuffer/graph/QueryDataModelResponse.proto

QueryRequestReflection

Holder for reflection information generated from esriPBuffer/graph/QueryRequest.proto

QueryResponseReflection

Holder for reflection information generated from esriPBuffer/graph/QueryResponse.proto

QueryTypesReflection

Holder for reflection information generated from esriPBuffer/graph/QueryTypes.proto

ReferenceReplica
RelationshipAdd
RelationshipAdds
RelationshipExclusionRule

A relationship exclusion rule consists of a set of origin entity types, a set of relationship types, and a set of destination entity types. A relationship matches the pattern specified by the rule if the origin entity's type is contained in the set of origin entity types, the relationship's type is contained in the set of relationship types, and the destination entity's type is contained in the set of destination entity types. A relationship exclusion rule mandates that a relationship must not match the pattern specified by the rule.

RelationshipType
RelationshipTypeMask
RelationshipTypeReplicaDefinition
RelationshipTypeSchemaChanges
RelationshipValue
ReplicaDataHeader
ReplicaDefinition
ReplicaDefinitionResponse
ReplicaDefinitionResponseReflection

Holder for reflection information generated from esriPBuffer/graph/ReplicaDefinitionResponse.proto

ReplicaDeltas
ReplicaFilters
ReplicaHeader
ReplicaInfo
ReplicaSnapshot

empty message to indicate the response is a snapshot of the replica as defined by the replica definition.

When replica_snapshot is specified, the server will return the current representation of entities and relationships of the replica as defined by the replica definition instead of the delta of the changes.

ReplicasResponse
ReplicasResponseReflection

Holder for reflection information generated from esriPBuffer/graph/ReplicasResponse.proto

SchemaResults
SearchAnalyzer
SearchIndex
SearchIndexProperties
SearchQueryRequestReflection

Holder for reflection information generated from esriPBuffer/graph/SearchQueryRequest.proto

SearchTypesReflection

Holder for reflection information generated from esriPBuffer/graph/SearchTypes.proto

SetOfNamedTypes

An empty array for set indicates the empty set. An empty array for set_complement indicates the set of all named types.

SourceTypeValueBehavior
SpatialFilter
StaticDefinition

The StaticDefinition guarantees entities and relationships defined explicitly by the replica definition are returned in /createReplica and /synchronizeReplica responses. Graph topology modifications do not impact the types returned by this replica definition. That is, the type schema is static, however property schema may be dynamic. Client applications should be written to be property schema tolerant of property schema modifications from the server.

StringArray
SyncApplyEdits
SyncDataModelRequest
SyncDataModelRequestReflection

Holder for reflection information generated from esriPBuffer/graph/SyncDataModelRequest.proto

SyncDataModelResponse
SyncDataModelResponseReflection

Holder for reflection information generated from esriPBuffer/graph/SyncDataModelResponse.proto

SyncDataModelResult
SyncEditFrames
SyncEditResults
SyncTypesReflection

Holder for reflection information generated from esriPBuffer/graph/SyncTypes.proto

SynchronizeReplicaRequest
SynchronizeReplicaRequestReflection

Holder for reflection information generated from esriPBuffer/graph/SynchronizeReplicaRequest.proto

SynchronizeReplicaResponse
SynchronizeReplicaResponseReflection

Holder for reflection information generated from esriPBuffer/graph/SynchronizeReplicaResponse.proto

SynchronizeReplicaResult
TimeOnlyArray
TimeOnlyComponents
TimeOnlyValue
TimeZone
TimestampOffsetArray
TimestampOffsetValue
Transform
TrimBeforeDate
TrimBeforeDateResult
TrimChangeLogReplicaStats
TrimChangeLogRequest
TrimChangeLogRequestReflection

Holder for reflection information generated from esriPBuffer/graph/TrimChangeLogRequest.proto

TrimChangeLogResponse
TrimChangeLogResponseReflection

Holder for reflection information generated from esriPBuffer/graph/TrimChangeLogResponse.proto

TrimChangeLogResult
TrimChangeLogStatistics

A trim_mode that does not perform any trim operation, but rather gathers log statistics to aid owners and admins in determining any appropriate actions prior to trimming the change log.

TrimChangeLogStatisticsResult
TrimPreserveReplicas

Empty message to represent a trim_mode that interrogates all replica definitions and chooses the minimum last_sync_date amongst all replicas as the trim_before_date effectively preserving every replicas ability to /synchronize using the replica_delta option. That is, the /trimChangeLog operation does not delete rows out from under replicas defined in the service.

TrimPreserveReplicasResult
UniformPropertyIdentifier
UnregisterAllAccessibleReplicas
UnregisterReplicaRequest
UnregisterReplicaRequestReflection

Holder for reflection information generated from esriPBuffer/graph/UnregisterReplicaRequest.proto

UnregisterReplicaResponse
UnregisterReplicaResponseReflection

Holder for reflection information generated from esriPBuffer/graph/UnregisterReplicaResponse.proto

UnregisterReplicaResult
UpdateConstraintRulesRequestReflection

Holder for reflection information generated from esriPBuffer/graph/UpdateConstraintRulesRequest.proto

UpdateConstraintRulesResponseReflection

Holder for reflection information generated from esriPBuffer/graph/UpdateConstraintRulesResponse.proto

UpdateDomainRequestReflection

Holder for reflection information generated from esriPBuffer/graph/UpdateDomainRequest.proto

UpdateDomainResponseReflection

Holder for reflection information generated from esriPBuffer/graph/UpdateDomainResponse.proto

UpdateFieldRequestReflection

Holder for reflection information generated from esriPBuffer/graph/UpdateFieldRequest.proto

UpdateFieldResponseReflection

Holder for reflection information generated from esriPBuffer/graph/UpdateFieldResponse.proto

UpdateNamedTypeRequestReflection

Holder for reflection information generated from esriPBuffer/graph/UpdateNamedTypeRequest.proto

UpdateNamedTypeResponseReflection

Holder for reflection information generated from esriPBuffer/graph/UpdateNamedTypeResponse.proto

UpdateSearchIndexRequestReflection

Holder for reflection information generated from esriPBuffer/graph/UpdateSearchIndexRequest.proto

UpdateSearchIndexResponseReflection

Holder for reflection information generated from esriPBuffer/graph/UpdateSearchIndexResponse.proto

UpdateSetOfNamedTypes

A set of named types cannot be updated to change which oneof type_of_set element it uses. If set_complement is specified, then add_named_types will add named types to the complement of the set (hence removing named types from the specified set), and remove_named_types will remove named types from the complement of the set (hence adding named types to the specified set). If set is specified, then add_named_types will simply add named types to the set and remove_named_types will remove named types from the set. Removing all named types when set_complement is specified means the set of named types includes all named types; removing all named types when set is specified means the set of named types includes no named types.

Updates
UploadEdits
UploadFile
UploadResults
UpsertClientDataRequestReflection

Holder for reflection information generated from esriPBuffer/graph/UpsertClientDataRequest.proto

UpsertClientDataResponseReflection

Holder for reflection information generated from esriPBuffer/graph/UpsertClientDataResponse.proto

Enums

AnyValue.AnyValueTypeOneofCase

Enum of possible cases for the "any_value_type" oneof.

ArrayValue.ArrayTypeOneofCase

Enum of possible cases for the "array_type" oneof.

AsyncResultResponse.OperationResponseOneofCase

Enum of possible cases for the "operation_response" oneof.

AsyncStatusType
ClientData.ValueOneofCase

Enum of possible cases for the "value" oneof.

ClientDataDeleteRequest.DeleteClientDataOneofCase

Enum of possible cases for the "delete_client_data" oneof.

ClientDataFetchResult.FetchResultOneofCase

Enum of possible cases for the "fetch_result" oneof.

ClientDataKey.KeyOneofCase

Enum of possible cases for the "key" oneof.

ClientDataUpsertResult.UpsertResultOneofCase

Enum of possible cases for the "upsert_result" oneof.

ClientDataValue.DataOneofCase

Enum of possible cases for the "data" oneof.

ConstraintRule.ConstraintRuleTypeOneofCase

Enum of possible cases for the "constraint_rule_type" oneof.

ConstraintRuleRole

The role of the constraint rule. User-defined constraint rules must have role ConstraintRuleRole_Regular. The other roles pertain to system-maintained constraint rules.

CreateReplicaRequest.ReplicaDefinitionOneofCase

Enum of possible cases for the "replica_definition" oneof.

CreateReplicaResponse.ResultOneofCase

Enum of possible cases for the "result" oneof.

CreateReplicaResult.ReplicaDataOneofCase

Enum of possible cases for the "replica_data" oneof.

DateOnlyFormat
DateOnlyValue.DateOnlyFormatOneofCase

Enum of possible cases for the "date_only_format" oneof.

DateTimeOffset.LocalDateTimeOneofCase

Enum of possible cases for the "local_date_time" oneof.

DateTimeOffset.TimeOffsetOneofCase

Enum of possible cases for the "time_offset" oneof.

DownloadParameters.ReplicaDownloadOptionsOneofCase

Enum of possible cases for the "replica_download_options" oneof.

DurationFormat
DurationValue.DurationFormatOneofCase

Enum of possible cases for the "duration_format" oneof.

ExportDataFormat

The format in which the data will be exported.

ExportRequest.ExportRequestTypeOneofCase

Enum of possible cases for the "export_request_type" oneof.

GeometryValue.CompressedGeometryOneofCase

Enum of possible cases for the "compressed_geometry" oneof.

GraphConstraintRuleUpdate.UpdateConstraintRuleTypeOneofCase

Enum of possible cases for the "update_constraint_rule_type" oneof.

GraphDiscoverDataModelResponse.ResponseOneofCase

Enum of possible cases for the "response" oneof.

GraphNamedObjectTypeUpdateRequest.NamedTypeUpdateOneofCase

Enum of possible cases for the "named_type_update" oneof.

GraphObjectIdentifierSet.IdArrayTypeOneofCase

Enum of possible cases for the "id_array_type" oneof.

GraphProperty.RoleTypeOneofCase

Enum of possible cases for the "role_type" oneof.

GraphPropertyRole
IdentifierGenerationInfo.GenerationMethodOneofCase

Enum of possible cases for the "generation_method" oneof.

IdentifierMappingInfo.IdentifierMapsToOneofCase

Enum of possible cases for the "identifier_maps_to" oneof.

NamedObjectUpdate.IdOneofCase

Enum of possible cases for the "id" oneof.

NativeDataType
PrimitiveValue.ValueTypeOneofCase

Enum of possible cases for the "value_type" oneof.

ProvenanceBehavior
QuantizationParameters.Types.QuantizeMode
ReplicaDataDeltaType
ReplicaFilters.DefinitionOneofCase

Enum of possible cases for the "definition" oneof.

SetOfNamedTypes.TypeOfSetOneofCase

Enum of possible cases for the "type_of_set" oneof.

SyncApplyEdits.EditsOneofCase

Enum of possible cases for the "edits" oneof.

SyncDataFormat
SyncDirection
SynchronizeReplicaResponse.ResultOneofCase

Enum of possible cases for the "result" oneof.

TimeOnlyFormat
TimeOnlyValue.TimeOnlyFormatOneofCase

Enum of possible cases for the "time_only_format" oneof.

TimestampOffsetFormat
TimestampOffsetValue.DateTimeFormatOneofCase

Enum of possible cases for the "date_time_format" oneof.

TrimBeforeDateResult.ReplicaIdArrayOneofCase

Enum of possible cases for the "replica_id_array" oneof.

TrimChangeLogRequest.TrimModeOneofCase

Enum of possible cases for the "trim_mode" oneof.

TrimChangeLogResponse.ResultOneofCase

Enum of possible cases for the "result" oneof.

TrimChangeLogResult.TrimResultOneofCase

Enum of possible cases for the "trim_result" oneof.

UUIDMethodHint
UnregisterReplicaRequest.ReplicasOneofCase

Enum of possible cases for the "replicas" oneof.

UploadEdits.EditFormatOneofCase

Enum of possible cases for the "edit_format" oneof.

UploadResults.UploadResultOneofCase

Enum of possible cases for the "upload_result" oneof.

esriGraphNamedObjectRole
esriNamedTypeCategory